flex-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Erik de Bruin (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (FLEX-33872) Update Guava dependency in compiler
Date Tue, 05 Nov 2013 13:05:31 GMT

     [ https://issues.apache.org/jira/browse/FLEX-33872?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Erik de Bruin resolved FLEX-33872.
----------------------------------

    Resolution: Fixed

> Update Guava dependency in compiler
> -----------------------------------
>
>                 Key: FLEX-33872
>                 URL: https://issues.apache.org/jira/browse/FLEX-33872
>             Project: Apache Flex
>          Issue Type: Bug
>          Components: Falcon, FalconJX
>    Affects Versions: Apache FalconJx 1.0
>            Reporter: Erik de Bruin
>            Assignee: Gordon Smith
>            Priority: Critical
>
> Currently, Falcon is dependent on Guava r08. FalconJx (itself dependent on Falcon) uses
the Google Closure Compiler (CC) to create the JS release build. CC is also dependent on Guava.
The latest CC is dependent on a more recent version of Guava than Falcon. This creates warnings
and errors when trying to use FalconJx to create a release build.
> It seems good practice to keep all dependencies up to date. With the reliance on Guava
r08, we're limited to versions of CC prior to sept. 17, 2012 and also limited to versions
of the Closure Library compatible with the old CC.
> One of the issues between the old Guava and new CC is that in newer Guava versions the
MapMaker class is deprecated and some of it's members have been 'privatised'. Information
on updating to the CacheBuilder class - which replaces MapMaker - can be found here:
> https://groups.google.com/forum/#!topic/guava-discuss/DFk_T62rRkU



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message